summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Euan Thoms <euan at potensol dot com>2015-11-21 08:27:45 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-11-21 08:27:45 +0700
commitf898904c5479ae3894c3b1ed9b5dbe0f889cb834 (patch)
treeb3c0ca3cf00bf6b8bdc3cfb9fd0c9fbf0ab60283 /libraries
parent87c5d302fcece010e17b256db4d60f7ff5e40fec (diff)
downloadslackbuilds-f898904c5479ae3894c3b1ed9b5dbe0f889cb834.tar.gz
slackbuilds-f898904c5479ae3894c3b1ed9b5dbe0f889cb834.tar.xz
libraries/bzrtp: Added (ZRTP Key Exchange Library).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/bzrtp/README20
-rw-r--r--libraries/bzrtp/bzrtp.SlackBuild98
-rw-r--r--libraries/bzrtp/bzrtp.info10
-rw-r--r--libraries/bzrtp/slack-desc19
4 files changed, 147 insertions, 0 deletions
diff --git a/libraries/bzrtp/README b/libraries/bzrtp/README
new file mode 100644
index 0000000000..c73bc0f053
--- /dev/null
+++ b/libraries/bzrtp/README
@@ -0,0 +1,20 @@
+bzrtp is an opensource implementation of ZRTP keys exchange protocol.
+
+The library written in C 89 is fully portable and can be executed on many platforms including both ARM processor and x86.
+Licensing: The source code is licensed under GPLv2.
+
+----------------------------------------------------------------------------------
+Compatibility with RFC6189 - ZRTP: Media Path Key Agreement for Unicast Secure RTP
+----------------------------------------------------------------------------------
+
+*** Mandatory but NOT implemented
+- Sas Relay mechanism (section 7.3)
+- Error message generation, emission or reception(which doesn't imply any security problem, they are mostly for debug purpose)
+*** Optional and implementd
+- multistream mode
+- cacheless implementation
+- key agreement DH2048
+*** Optional and NOT implemented
+- zrtp-hash attribute in SDP
+- Go Clear/Clear ACK messages
+- SAS signing
diff --git a/libraries/bzrtp/bzrtp.SlackBuild b/libraries/bzrtp/bzrtp.SlackBuild
new file mode 100644
index 0000000000..4a5ca95433
--- /dev/null
+++ b/libraries/bzrtp/bzrtp.SlackBuild
@@ -0,0 +1,98 @@
+#!/bin/sh
+
+# Slackware build script for bzrtp
+
+# Copyright 2015 Euan Thoms Singapore
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=bzrtp
+VERSION=${VERSION:-1.0.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+LDFLAGS="-L/usr/lib${LIBDIRSUFFIX}" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+
diff --git a/libraries/bzrtp/bzrtp.info b/libraries/bzrtp/bzrtp.info
new file mode 100644
index 0000000000..cda45da332
--- /dev/null
+++ b/libraries/bzrtp/bzrtp.info
@@ -0,0 +1,10 @@
+PRGNAM="bzrtp"
+VERSION="1.0.3"
+HOMEPAGE="http://www.linphone.org/"
+DOWNLOAD="http://download-mirror.savannah.gnu.org/releases/linphone/bzrtp/bzrtp-1.0.3.tar.gz"
+MD5SUM="0d0c694e114d85420d351b94f0e9d867"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="polarssl"
+MAINTAINER="Euan Thoms"
+EMAIL="euan at potensol dot com"
diff --git a/libraries/bzrtp/slack-desc b/libraries/bzrtp/slack-desc
new file mode 100644
index 0000000000..7bde7bb43f
--- /dev/null
+++ b/libraries/bzrtp/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+bzrtp: bzrtp (ZRTP Key Exchange Library)
+bzrtp:
+bzrtp: bzrtp is an opensource implementation of ZRTP keys exchange protocol.
+bzrtp:
+bzrtp: The library written in C 89 is fully portable and can be executed
+bzrtp: on many platforms including both ARM processor and x86.
+bzrtp:
+bzrtp:
+bzrtp:
+bzrtp:
+bzrtp: